<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script>

    /* *************************** 模块初始化 ***************************** */
    var shell = {
        grid: null,
        dialog: null,
        init: function () {
            this.bindEvents();
            this.initForm();
        },
        initForm: function () {
            var me = this;
            $('.m-retrieve-area').show();

        },
        bindEvents: function () {
            var me = this;
            $(".l-text").css("display","inline-block");
            $(".l-text-wrapper").css("display","inline-block");

            $("#main_text").keyup(function (e) {
                if (e.keyCode == 13) {
                    var command = $("#main_text").val();
                    var arr=command.split("\r\n");
                    var currentCommand = arr[0].split("]#");
                   me.sendShell(currentCommand[1]);
                }
            });

        },
        anthorize: function (id) {
        },
        sendShell:function(command){
            $.ajax({ //ajax处理
                type: "GET",
                url : "${contextRoot}/shell/sendShell",
                dataType : "json",
                data:{command:command,disCon:false},
                cache:false,
                success :function(data){
                    if(data.successFlg) {
                        var flg = data.successFlg;
                        if(flg){
                            debugger
                            shell.getShellBack();
                        }else{
                            alert("shell请求命令失败！");
                        }
                    }
                    else{
                        $.ligerDialog.error(data.message);
                    }
                },
                error :function(data){
                    $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
                }
            });

        },
        getShellBack:function(){
            $.ajax({ //ajax 获取shell执行结果
                type: "GET",
                url : "${contextRoot}/shell/getShellBack",
                dataType : "json",
                data:{},
                cache:false,
                success :function(data){
                    if(data.successFlg) {
                        var flg = data.successFlg;
                        if(flg){
                            $("#main_text").val(data.message);
                        }else{
                            alert("shell请求命令失败！");
                        }
                    }
                    else{
                        $.ligerDialog.error(data.message);
                    }
                },
                error :function(data){
                    $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
                }
            });

        },
        //弹窗返回
        dialogSuccess: function (message) {
            $.ligerDialog.success(message);
            shell.reloadGrid();
            shell.dialog.close();
        }

    };

    $(function () {
        shell.init();
        shell.sendShell("\n");
    });
</script>